import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;

import javax.swing.JFrame;


public class Boot {
	
	private Graph g;

	public Boot() {
		JFrame window = new JFrame();
		Container pane = window.getContentPane();
		pane.setPreferredSize(new Dimension(500, 300));
		g = new Graph(Color.BLACK);
		pane.add(g);
		window.pack();
		window.setLocation(200, 200);
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		window.setVisible(true);
	}
	
	public void run() {
		int current = 0;
		Color[] colors = { Color.RED, Color.GREEN, Color.BLUE }; 
		while (true) {
			try {
				Thread.sleep(1000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
			
			g.changeColor(colors[current]);
			current = (current + 1) % colors.length;
			
		}
	}
	
	public static void main(String[] args) {
		Boot b = new Boot();
		b.run();
	}
}
