import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JPanel;


@SuppressWarnings("serial")
public class Graph extends JPanel {
	
	private Color currentColor;
	
	public Graph(Color initialColor) {
		currentColor = initialColor;
	}
	
	public void changeColor(Color newColor) {
		currentColor = newColor;
		this.repaint();
	}
	
	public void paintComponent(Graphics g) {
		super.setBackground(Color.white);
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D) g;
		g2.setColor(currentColor);
		g2.drawRect(10, 10, 100, 20);
		g2.drawRect(20, 100, 50, 200);
	}
}
